%define module_name Dancer2-Plugin-ParamTypes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Plack/Test.pm) perl(Ref/Util.pm) perl(Template/Tiny.pm) perl(Test/CPAN/Meta.pm) perl(Test/Memory/Cycle.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(constant.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: Parameter type checking plugin for Dancer2
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XS/XSAWYERX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a simple module that allows you to provide a stanza of parameter
type checks for your routes.

It supports all three possible sources: `route', `query', and
`body'.

Currently no types are available in the system, so you will need to
write your own code to add them. See the following methods below.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.txt LICENSE Changes
%perl_vendor_privlib/D*

%changelog
* Wed Apr 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- updated by package builder

* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- updated by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

